initlog(8)

NOME
initlog - mensagens de registro e eventos para o agente de registro

SINOPSIAS
initlog [-cefnpqrs] [--cmd=ARG] [--event=ARG] [--facility=ARG] [--name=ARG] [--priority=ARG] [--run=ARG] [--string=ARG]

DESCRIÇÃO
initlog mensagens de registros e eventos para o agente de registro. Ele é principalmente designado para uso nos scripts de inicialização. initlog lê um arquivo de configuração /etc/initlog.conf por padrão, determinar suas definições. Qualquer linha precedida com um # é um comentário, e as seguintes diretivas de configuração são reconhecidas:

facilidade <registrar facilidade>
    Define o registrar facilidade padrão

prioridade <registrar prioridade>
    Define o registrar prioridade padrão

ignorar <regexp>
    Mensagens que correspondam a expressão regular não serão registradas.

comportamento do initlog pode também ser configurado pelas opções da linha de comando.

  OPÇÕES

-c, --cmd=[program]
    Executar o programa específico, registrando qualquer saída para stdout ou stderr.

-e, --event=[number]
    Registros que o evento especificado aconteceu. Usados em conjunção com --name. Eventos especificados atualmente são:
     1  a ação completada com sucesso
     2  a ação falhou
     3  a ação foi cancelada a pedido do usuário
     4  a ação falhou devido à falha de uma ação dependente

-f, --facility=[facility]
    Registrar no syslog especificado a facilidade. O padrão
    é daemon (olhe syslog(3)).

-n, --name=[string]
    Registrar o evento na string especificada, tal como
    "inetd".

-p, --priority=[priority]
    Registrar no syslog especificado a prioridade. O padrão
    é notice (olhe syslog(3)).

-q  Não é para imprimir a saída do programa, a não ser que ele saia
    com um código de sair diferente de zero.

-r, --run=[program]
    Executa o programa especificado, com um descritor
    do arquivo aberto deste modo o programa pode passa comandos
    anteriores ao initlog.

-s, --string=[string]
    Registrar a string especificada ao verificador de registros.

--conf=[file]
    Específica um arquivo de configuração alternativo.

ARQUIVOS
/etc/initlog.conf

OLHE TAMBÉM
syslog(3), logger(1)